Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.nanocontainer.script.xml
Class XMLContainerBuilder

    java.lang.Object
      org.nanocontainer.integrationkit.LifecycleContainerBuilder
          org.nanocontainer.script.ScriptedContainerBuilder
              org.nanocontainer.script.xml.XMLContainerBuilder

All Implemented Interfaces:
  ContainerBuilder, ContainerPopulator

    public class XMLContainerBuilder

extends ScriptedContainerBuilder
implements ContainerPopulator

This class builds up a hierarchy of PicoContainers from an XML configuration file.

Version:
  $Revision: 3397 $
Author:
  Paul Hammant, Aslak Hellesøy, Jeppe Cramon, Mauro Talevi

Constructor Summary
`XMLContainerBuilder(Reader script, ClassLoader classLoader)`
`XMLContainerBuilder(URL script, ClassLoader classLoader)`

Method Summary
`protected org.picocontainer.PicoContainer` | `createContainerFromScript(org.picocontainer.PicoContainer parentContainer, Object assemblyScope)`
`void` | `populateContainer(org.picocontainer.MutablePicoContainer container)` Populate a container

Methods inherited from class org.nanocontainer.script.ScriptedContainerBuilder
`composeContainer, createContainer, getClassLoader, getScriptInputStream, getScriptReader`

Methods inherited from class org.nanocontainer.integrationkit.LifecycleContainerBuilder
`autoStart, buildContainer, killContainer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLContainerBuilder

    public XMLContainerBuilder(Reader script,
                               ClassLoader classLoader)

### XMLContainerBuilder

    public XMLContainerBuilder(URL script,
                               ClassLoader classLoader)

Method Detail

### createContainerFromScript

    protected org.picocontainer.PicoContainer createContainerFromScript(org.picocontainer.PicoContainer parentContainer,
                                                                        Object assemblyScope)

  Specified by:
    `createContainerFromScript` in class `ScriptedContainerBuilder`

### populateContainer

    public void populateContainer(org.picocontainer.MutablePicoContainer container)

  Description copied from interface: `ContainerPopulator`
  Populate a container

  Specified by:
    `populateContainer` in interface `ContainerPopulator`
  Parameters:
    `container` - the MutablePicoContainer to populate

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Codehaus. All Rights Reserved.